repo/gentoo:master commit in: app-emacs/magit/

Maciej Barć <[email protected]> Mon, 03 Aug 2026 11:33:54 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785756827.990e26e50f388177ca6a7c8921dcdb2329fc5d0b.xgqt@gentoo>
commit:     990e26e50f388177ca6a7c8921dcdb2329fc5d0b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 11:13:14 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 11:33:47 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=990e26e5

app-emacs/magit: bump to 4.7.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/magit/Manifest           |  1 +
 app-emacs/magit/magit-4.7.0.ebuild | 51 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-emacs/magit/Manifest b/app-emacs/magit/Manifest
index 2217c494d134..ef28c641d6cf 100644
--- a/app-emacs/magit/Manifest
+++ b/app-emacs/magit/Manifest
@@ -1,2 +1,3 @@
 DIST magit-4.5.0.gh.tar.gz 702733 BLAKE2B 90413027a5f3b12dd80083e7bee506a0212b06df2ff79ca5792d8cc3e88bf59b2d8e56deee03a4df32ed8790d9c08103a3b2f1bfb1140e566f6cd4677c575647 SHA512 929edfc31f4e2a8c60510227cf9b448534173ecd22c010b71df5a4a2204906345d49b12ef254deace53c2b2a400d6067c325bab838efe1766be024e353f05486
 DIST magit-4.6.0.gh.tar.gz 709029 BLAKE2B 50bfdd3f88453b42f0fe0c1c330b52487b038c7e547d0584b80f8a9d1000f59c1e9a7a747f3edad884eb412e0981c4619d02b6b81455e8bcf91c3b55302d2cba SHA512 e9843af14cf74e6e4d3b7f215ddbf5be592fa5f55747c9353f74ffead929d312bab1244f60bf692c378129f368a0583ec07705b5a08bae4986374118d098329d
+DIST magit-4.7.0.gh.tar.gz 717998 BLAKE2B c5a51df3282a6bb0010ad9556aa990e79ef9e258a0c7170404c211f4dec038a9e036c0ae0838bdefe92bf1a84e34a94c8e23e123c5cd2ab4b609c8834fce138c SHA512 a62cabfa195bdf5a6a254fe7ae34bfa2c907a39fc6b2aa33224410af982e81a0351c2dc5e838b8bbe21ab3df632015f9e24d67db279b0d9ab90d346b37d48044

diff --git a/app-emacs/magit/magit-4.7.0.ebuild b/app-emacs/magit/magit-4.7.0.ebuild
new file mode 100644
index 000000000000..51818eed1e48
--- /dev/null
+++ b/app-emacs/magit/magit-4.7.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+NEED_EMACS="28.1"
+
+inherit elisp
+
+DESCRIPTION="A Git porcelain inside Emacs"
+HOMEPAGE="https://magit.vc/
+	https://github.com/magit/magit/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/${PN}/${PN}.git"
+else
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+S="${WORKDIR}/${P}/lisp"
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+	>=app-emacs/compat-31.0
+	>=app-emacs/cond-let-1.1
+	>=app-emacs/llama-1.0
+	>=app-emacs/transient-0.13
+	>=app-emacs/with-editor-3.5
+"
+BDEPEND="
+	${RDEPEND}
+	sys-apps/texinfo
+"
+RDEPEND+="
+	>=dev-vcs/git-2.44.2
+"
+
+DOCS=( ../README.md ../docs/{AUTHORS.md,magit{,-section}.org} )
+ELISP_TEXINFO="../docs/*.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+	elisp_src_prepare
+	echo "" > ../default.mk || die
+	emake magit-version.el PKG="${PN}" VERSION="${PV}"
+}